package com.fjs.scenic.mapper.order;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.order.OrderDetails;


public interface OrderDetailsMapper {
	int insert(OrderDetails record);
    
	public List<OrderDetails> select(OrderDetails record);

	public void update(OrderDetails record);

	public void delete(OrderDetails record);

	public List<OrderDetails> selectByParam(Map<String, String> param);

	public void updateByParam(Map<String, String> params);

	public void deleteByParam(Map<String, String> params);
	
	/**根据订单id查询门票数量*/
	public Integer getTicketNum(@Param("orderId") Integer orderId);
	
	/**根据订单id删除订单详情*/
	public Integer deleteByOrderId(@Param("orderId") Integer orderId);
	
}